package com.fs.express.impl;

import com.fs.express.FsStoreDeliversService;
import com.fs.store.domain.FsStoreDelivers;
import com.fs.store.mapper.FsStoreDeliversMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 物流信息查询类
 * @author xdd
 */
@Service
public class FsStoreDeliversServiceImpl implements FsStoreDeliversService {

    @Autowired
    private FsStoreDeliversMapper fsStoreDeliversMapper;

    @Override
    public FsStoreDelivers findById(Integer id) {
        return fsStoreDeliversMapper.findById(id);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public FsStoreDelivers save(FsStoreDelivers fsStoreDelivers) {
        if (fsStoreDelivers.getId() == null) {
            fsStoreDelivers.setCreateTime(LocalDateTime.now());
            fsStoreDeliversMapper.insert(fsStoreDelivers);

        }
        return fsStoreDelivers;
    }
    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean update(FsStoreDelivers fsStoreDelivers)
    {
        fsStoreDelivers.setUpdateTime(LocalDateTime.now());
       return fsStoreDeliversMapper.update(fsStoreDelivers) > 0;

    }

    @Override
    public List<FsStoreDelivers> findByOrderId(Long orderId) {
        return fsStoreDeliversMapper.findByOrderId(orderId);
    }
}
